package public

import (
	"context"

	"source.gleipnir.technology/Gleipnir/nidus-sync/db"
	//"source.gleipnir.technology/Gleipnir/nidus-sync/db/gen/nidus-sync/public/enum"
	//"github.com/Gleipnir-Technology/jet/postgres"
	"source.gleipnir.technology/Gleipnir/nidus-sync/db/gen/nidus-sync/public/model"
	"source.gleipnir.technology/Gleipnir/nidus-sync/db/gen/nidus-sync/public/table"
)

func ReportTextInsert(ctx context.Context, txn db.Tx, m model.ReportText) (model.ReportText, error) {
	statement := table.ReportText.INSERT(table.ReportText.MutableColumns).
		MODEL(m).
		RETURNING(table.ReportText.AllColumns)
	return db.ExecuteOneTx[model.ReportText](ctx, txn, statement)
}
